LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-06-2003, 12:03 PM   #1
Tyir
Member
 
Registered: Sep 2003
Distribution: Slackware 9.1 with fluxbox
Posts: 259

Rep: Reputation: 30
How to Update GAIM?


Hi, just started on RH 9, and Gaim v.059.8 is already installed, but i wanted ot get the updated version.
So i dled the gaim-0.70-1rh9.i386.rpm file, and whe i opened, it moves along but when it says 'reading individual package headings, it goes away' and when i run gaim it still opens the v.059.8.

On their website, i followed the directions http://gaim.sourceforge.net/cvs.php
and did all 3 steps, but it didn't seem to update the program

Thanks
 
Old 10-06-2003, 12:17 PM   #2
ehdwuld
Member
 
Registered: Jul 2003
Distribution: Currently Suse 11.1 but have RH7,8,9 / Fedora 7,8_64,9_64,&10_64
Posts: 634

Rep: Reputation: 30
ftp://rpmfind.net/linux/freshrpms/redhat/9


every rpm you would ever want

did you type as superuser

# rpm -Uvh gaim-0.70-1rh9.i386.rpm
 
Old 10-06-2003, 01:57 PM   #3
Tyir
Member
 
Registered: Sep 2003
Distribution: Slackware 9.1 with fluxbox
Posts: 259

Original Poster
Rep: Reputation: 30
hi, thanks for the help
When, under root i type
rpm -Uvh gaim-0.70-1rh9.i386.rpm

i get
rpm -Uvh gaim-0.70-1rh9.i386.rpm

[root@localhost robert]# rpm -Uvh gaim-0.70-1rh9.i386.rpm
warning: gaim-0.70-1rh9.i386.rpm: V3 DSA signature: NOKEY, key ID 883c1c14
error: Failed dependencies:
libgtkspell.so.0 is needed by gaim-0.70-1rh9
libtk8.3.so is needed by gaim-0.70-1rh9
[root@localhost robert]#
 
Old 10-06-2003, 02:10 PM   #4
bkeating
Member
 
Registered: Mar 2002
Location: San Francisco, CA
Distribution: Open/FreeBSD, Gentoo, SuSE
Posts: 511

Rep: Reputation: 38
well go back to ftp://rpmfind.net/linux/freshrpms/redhat/9 or visit http://shrike.freshrpms.net/ and look for packages named "gtkspell" and "tk8.3" or something like (perhaps the full name even) and install those rpms first.

This is simply a dependancy problem. If you want to risk the chance of breaking the application you can add a

Code:
--nodeps
which will force gaim to install without checking dependancies first. It may work.


I know that grkspell is just that, spell checker, but im not sure about the other one (wether it is needed or not). it's discription is;

Quote:
Tk graphical toolkit for the Tcl scripting language
and can be found here (amongst other places): http://www.hklpg.org/RPM/libtk8.3.so.html
 
Old 10-06-2003, 02:11 PM   #5
ehdwuld
Member
 
Registered: Jul 2003
Distribution: Currently Suse 11.1 but have RH7,8,9 / Fedora 7,8_64,9_64,&10_64
Posts: 634

Rep: Reputation: 30
the link in previous post will have the libgtkspell.so.0

( libgtkspell folder )

look here for the libtk8.3.so
just put it in the search and find the RH9 rpm that provides it

http://rpm.pbone.net/index.php3/stat/6/idpl/502164

don't use force or no deps

it has dependandacies because some part of it depends on something

it may not work properly

Last edited by ehdwuld; 10-06-2003 at 02:13 PM.
 
Old 10-06-2003, 02:34 PM   #6
Tyir
Member
 
Registered: Sep 2003
Distribution: Slackware 9.1 with fluxbox
Posts: 259

Original Poster
Rep: Reputation: 30
aah, perfect, I installed both of those .rpms and not the install worked correctly!

thanks guys!
 
Old 10-06-2003, 02:43 PM   #7
ehdwuld
Member
 
Registered: Jul 2003
Distribution: Currently Suse 11.1 but have RH7,8,9 / Fedora 7,8_64,9_64,&10_64
Posts: 634

Rep: Reputation: 30
thank you
bkeating

for
bkeating
me to the answer
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Gaim Update Frankj51 SUSE / openSUSE 10 10-22-2004 01:56 PM
gaim + RPM update blizunt7 Linux - Software 4 10-19-2004 03:04 PM
How to update gaim Free-Blade Linux - Newbie 17 09-13-2004 01:52 PM
Update GAIM PhuckFonix Linux - Newbie 14 03-27-2004 04:25 PM
Gaim is Gone after update attempt!!! rkid Linux - Software 3 10-01-2003 10:31 PM


All times are GMT -5. The time now is 04:33 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration